> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /GetUserAnalysisAttributes

> This endpoint will provide you with all Credit Risk use-case attributes. Please refer to our Quickstart guide for further information on the use-cases / when to use this specific endpoint.

This endpoint will provide you with all Credit Risk use-case attributes. Please refer to our Quickstart guide for further information on the use-cases / when to use this specific endpoint.

## Request Parameters

| **NAME**   | **TYPE** | **DESCRIPTION**                                                                                              |
| :--------- | :------- | :----------------------------------------------------------------------------------------------------------- |
| customerId | string   | GUID representing your customer ID (provided by Flinks)                                                      |
| loginId    | string   | GUID representing end user's login ID. You get this value after a successful Authorize request.              |
| requestId  | string   | GUID representing an authorized request to the API. You get this value after a successful Authorize request. |

## Response Fields

| **NAME**         | **TYPE** | **DESCRIPTION**                                                                                                                                |
| :--------------- | :------- | :--------------------------------------------------------------------------------------------------------------------------------------------- |
| Card             | object   | Object containing an id field (the end user's loginId) and all the requested attributes (name: value)                                          |
| Login            | object   | Object representing some end user's technical information such as the loginId. See Authorize endpoint documentation for this object's details. |
| RequestId        | string   | GUID representing an authorized request to the API. You get this value after a successful Authorize request.                                   |
| AttributeDetails | object   | Objects containing the fields: TransactionId, AccountId, Date, Description, Debit, and Credit per Attribute.                                   |


## OpenAPI

````yaml GET /v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetUserAnalysisAttributes
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetUserAnalysisAttributes:
    get:
      tags:
        - Enrich
      summary: Get User Analysis Attributes
      description: >-
        This endpoint will provide you with all Credit Risk use-case attributes.
        Please refer to our Quickstart guide for further information on the
        use-cases / when to use this specific endpoint.
      operationId: getUserAnalysisAttributes
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: Unique GUID representing your customer ID.
        - name: loginId
          in: path
          required: true
          description: GUID representing end user's login ID.
          schema:
            type: string
        - name: requestId
          in: path
          required: true
          description: GUID representing an authorized request to the API.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                    description: HTTP status code of the response.
                  Card:
                    type: object
                    description: >-
                      Object containing an Id field and all the requested
                      attributes.
                  Login:
                    type: object
                    description: Object containing login metadata.
                    properties:
                      Username:
                        type: string
                        description: The username associated with the login.
                      IsScheduledRefresh:
                        type: boolean
                        description: Whether this is a scheduled refresh.
                      LastRefresh:
                        type: string
                        description: Timestamp of the last refresh.
                      Type:
                        type: string
                        description: Type of account.
                      Id:
                        type: string
                        description: The login ID.
                  RequestId:
                    type: string
                    description: Unique identifier for the request.
              example:
                HttpStatusCode: 200
                Card:
                  Id: 367046b0-7699-483d-94c2-08d9a3d5c70f
                  auto_loan_deposits_frequency_biz: NONE_DETECTED
                  auto_loan_deposits_trend_biz: 0
                  auto_loan_payments_frequency_biz: Monthly
                  auto_loan_payments_trend_biz: 0.94
                  average_monthly_auto_loan_payments_biz: 532.54
                  sum_auto_loan_payments_365_days_biz: 6000
                  average_monthly_operating_income_biz: 6443.79
                  sum_operating_income_365_days_biz: 72600
                  average_monthly_payroll_deposits_biz: 5485.21
                  sum_payroll_deposits_365_days_biz: 61800
                  AttributesDetail:
                    Attribute: count_auto_loan_payments_10_months_ago_biz
                    Transactions:
                      TransactionId: 8c0eb24f-f395-48d3-9bf2-d170a6793e57
                      AccountId: 249516f6-d40d-4d86-b064-dbb4e0a59688
                      Date: 2021/01/08
                      Description: FORD CREDIT CA APY
                      Debit: 500
                      Credit: null
                      Balance: 11550
                Login:
                  Username: multiple_employers
                  IsScheduledRefresh: false
                  LastRefresh: '2021-11-10T15:01:27.7756841'
                  Type: Personal
                  Id: 367046b0-7699-483d-94c2-08d9a3d5c70f
                RequestId: b0ad6069-b40c-4c7e-aead-91c849d0b9f1
        '202':
          description: Operation Pending
          content:
            application/json:
              schema:
                type: object
                properties:
                  FlinksCode:
                    type: string
                    description: Flinks-specific status code.
                  HttpStatusCode:
                    type: integer
                    description: HTTP status code of the response (202).
                  Message:
                    type: string
                    description: Message indicating the operation is still processing.
                  RequestId:
                    type: string
                    description: Unique identifier for the request.
              example:
                FlinksCode: OPERATION_PENDING
                HttpStatusCode: 202
                Message: Your operation is still processing
                RequestId: e39262e3-c1ea-4d19-a331-f141dfdd29fd
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  Message:
                    type: string
                    description: >-
                      Error message indicating the customer ID is not authorized
                      for the login ID.
              example:
                Message: Given customer id is not authorized for the login id

````